[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "cthulhu"
dynamic = ["version"]
description = "Fork of the Orca screen reader based on gnome-45"
readme = "README.md"
requires-python = ">=3.3"
license = { text = "LGPL-2.1-or-later" }
dependencies = [
    "pygobject>=3.18",
    "python-atspi>=2.48",
    "brlapi; extra == 'braille'",
    "python-speechd; extra == 'speech'",
    "louis; extra == 'braille'"
]

[project.scripts]
cthulhu = "cthulhu.cthulhu:main"

[tool.hatch.version]
path = "src/cthulhu/__init__.py"

[tool.hatch.build.targets.wheel]
packages = ["src/cthulhu"]
